package com.bonus.zlpt.equip.service;

import java.util.List;
import java.util.Map;

import com.bonus.zlpt.equip.api.domain.DevInfo;
import com.bonus.zlpt.equip.api.domain.dto.InforMationDto;
import com.bonus.zlpt.equip.api.domain.vo.DevInfoVo;

/**
 * 设备信息Service接口
 * 
 * @author xsheng
 * @date 2023-12-02
 */
public interface IDevInfoService 
{
    /**
     * 查询设备信息
     * 
     * @param maId 设备信息主键
     * @return 设备信息
     */
    public DevInfoVo selectDevInfoByMaId(Long maId);

    /**
     * 查询设备信息列表
     * 
     * @param devInfo 设备信息
     * @return 设备信息集合
     */
    public List<DevInfoVo> selectDevInfoList(DevInfoVo devInfo);

    public List<DevInfoVo> selectDevInfoHotList(DevInfoVo devInfo);

    /**
     * 新增设备信息
     * 
     * @param devInfo 设备信息
     * @return 结果
     */
    public int insertDevInfo(DevInfo devInfo);

    /**
     * 修改设备信息
     * 
     * @param devInfo 设备信息
     * @return 结果
     */
    public int updateDevInfo(DevInfo devInfo);

    /**
     * 批量删除设备信息
     * 
     * @param maIds 需要删除的设备信息主键集合
     * @return 结果
     */
    public int deleteDevInfoByMaIds(Long[] maIds);

    /**
     * 删除设备信息信息
     * 
     * @param maId 设备信息主键
     * @return 结果
     */
    public int deleteDevInfoByMaId(Long maId);

    /**
     * 设备信息录入
     * @param inforMationDto
     * @return
     */
    int insertInforMationDto(InforMationDto inforMationDto);


    public Map<String, Integer> sumType();
}
